Bug 267509 - [a11y] No keyboard access to recent commit messages
[a11y] No keyboard access to recent commit messages
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
8.2
PC Windows 7
: P2 (vote)
: Dev
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-09 18:46 UTC by matthies
Modified: 2017-02-09 14:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matthies 2016-08-09 18:46:38 UTC
Please provide a keyboard shortcut to access the recent commit messages dialog ("Select A Commit Message") from the Commit dialog. Currently it is only accessible via mouse pointer. It's not even in the Commit dialog's Tab-key sequence.

The same should probably be done for "Load Template". (I just haven't had a need for that feature so far.)
Comment 1 Jiri Kovalsky 2016-09-08 10:10:45 UTC
Product Version: NetBeans IDE Dev (Build 201608290002)
Java: 1.8.0_101; Java HotSpot(TM) 64-Bit Server VM 25.101-b13
Runtime: Java(TM) SE Runtime Environment 1.8.0_101-b13
System: Linux version 3.13.0-37-generic running on amd64; UTF-8; cs_CZ (nb)

Reproduced. Can you Ondro at least make the two buttons traversable via Tab key? Thanks!
Comment 2 Ondrej Vrabec 2016-09-08 13:03:20 UTC
No, I cannot make it accessible via Tab key. I added a shortcut KB actions however: Alt-R to open recent messages and Alt-L to open Load Template dialogs.

Fix: http://hg.netbeans.org/core-main/rev/6117c2416455
Comment 3 Quality Engineering 2016-09-09 01:53:22 UTC
Integrated into 'main-silver', will be available in build *201609090002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6117c2416455
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #267509 - [a11y] No keyboard access to recent commit messages
Adding KB shortcuts to open recent messages and load template dialogs.
Comment 4 matthies 2017-02-09 12:49:30 UTC
I don't see the fix in NB 8.2 (tried with SVN and GIT).
Comment 5 Ondrej Vrabec 2017-02-09 14:37:15 UTC
The fix is not in 8.2, it's in dev. Will be part of the upcoming release.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo